<template>
    <Sheet title="Trends for you" icon="mdi-cog-outline">
        <SheetItem v-for="(trend, index) in trendings" :key="index"> 
            <div>
                    <p class="ma-0 grey--text text--darken-3 text-subtitle-2 font-weight-regular">
                        {{ trend.title }}
                    </p>
                    <p class="ma-0 text-subtitle-1 font-weight-bold">
                        {{ trend.trend }}
                    </p>
                    <p class="ma-0 grey--text text--darken-3 text-subtitle-2 font-weight-regular">
                        {{ trend.tweets }} Tweets
                    </p>
            </div>
            <v-menu>
                <template v-slot:activator="{ on, attrs }">
                    <div v-on="on" v-bind="attrs">
                        <IconwHover color="black" icon="mdi-dots-horizontal"/>
                    </div>
                </template>
                <v-list>
                    <v-list-item v-for="(op, index) in moreOptions" :key="index">
                        <v-list-item-icon class="my-1">
                            <IconwHover :icon="op.icon" color="black" />
                        </v-list-item-icon>
                        <v-list-item-title>{{ op.text }}</v-list-item-title>
                    </v-list-item>
                </v-list>
            </v-menu>
        </SheetItem>
    </Sheet>
</template>

<script>
import IconwHover from '../Additional/IconwHover.vue'
import Sheet from './Sheet.vue'
import SheetItem from './SheetItem.vue'
export default {
	components: { IconwHover, Sheet, SheetItem },
    data() {
        return {
            trendings: [
                {
                    title: "Trending",
                    trend: "EURO 2021",
                    tweets: '386K'
                },
                {
                    title: "Trending",
                    trend: "EURO 2021",
                    tweets: '386K'
                },
                {
                    title: "Trending",
                    trend: "EURO 2021",
                    tweets: '386K'
                },
                {
                    title: "Trending",
                    trend: "EURO 2021",
                    tweets: '386K'
                }
            ],
            moreOptions: [
                { icon: 'mdi-emoticon-sad-outline', text: 'Not interested in this' },
                { icon: 'mdi-emoticon-sad-outline', text: 'This trend is harmful or spammy' }
            ]
        }
    }
}
</script>

<style scope>
.trend-item {
    cursor: pointer;
}
</style>